Bug 173751 - yumex ignoring enabled=0
yumex ignoring enabled=0
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-20 11:14 EST by Gene Czarcinski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-21 07:03:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2005-11-20 11:14:27 EST
Description of problem:

I sure hope this is a bug and not a "feature"

Fresh install of fc5-dev as of 11-19-2005 and then install yumex from extras.

The /etc/yum.repro/*.repo files are configured with only fedora-devel-local.repo
 (local copy of development/i386 tree) and fedora-extras.repo enabled (all
others have enabled=0).  Nevertheless, yumex processes fedora-updates.repo to
pick up incorrect packages.

Version-Release number of selected component (if applicable):
fc5-dev as of 11-19-2005
yumex 0.42-9.0.fc5

How reproducible:
yes
Comment 1 Tim Lauridsen 2005-11-21 02:26:09 EST
Yumex is made to control what repositories that are enabled and disabled.
by default it uses base and updates as enabled, and the rest is disabled.
This behavior is changed in the current development edition of yumex, so the
default follows the state set by the enabled flags in the *.repo files.

To get the current yumex to work with your local repos, follow these steps:

1. run 'yumex -n' (as root)
2. select 'Profiles->New' to create a profile.
3. Type a name for the profile ex. 'MyProfile'
4. On the repos page, select your local repo and deselect the rest.
5. select 'Profiles->Save' to save the profile.

Now you have created a repository selection profile and yumex will always
use the last selected profile as defaul.

Note You need to log in before you can comment on or make changes to this bug.